import { UsersStateModel } from './users.state';
import { UserDetails } from '../../models/user-details';
export declare class UsersSelectors {
    static all(state: UsersStateModel): UserDetails[];
    static activated(state: UsersStateModel): UserDetails[];
    static deactivated(state: UsersStateModel): UserDetails[];
    static single(username: string): (state: UsersStateModel) => UserDetails;
}
